Favicon Svethardware.cz  Svět hardware   Fórum Favicon Svetaudia.cz  Svět audia Favicon TVFreak.cz  TV Freak   Fórum Favicon Digimanie.cz  Digimanie   Fórum   Galerie Společnost oXy Online s.r.o.
Zobrazené výsledky: 1 až 13 z 13

Téma: Podpora Compact .Net Frameworku na ruznych procesorech a OS

  1. #1
    Nováček
    Registrace
    May 2004
    Příspěvků
    18

    Pri vyvoji aplikacie pre pocket PC sa ponuka moznost urobit instalacne subory pre:
    wce300 = arm, armv4, mips, sh3
    wce400 = armv4, armv4t, mipsii, mipsiv, sh3, sh4

    Ak je aplikacia vytvorena a odladena na zariadeni s procesorom ARM, a os WM 2003 - budu tato aplikacia fungovat aj na mips, sh3, sh4, ..... ak sa pre tieto procesory vytvoria instalacie?

    Da sa to nejak overit inak ako si kupit z kazdej skupiny jeden pristroj a na nom aplikaciu odskusat?

    Alebo je zmysluplne orientovat sa len na jeden procesor a OS, na ktorom bola aplikacia ladena?

    Vdaka
    Odpovídat lze po přihlášení

  2. #2
    Starousedlík SMob
    Registrace
    Jan 2004
    Příspěvků
    2,017

    Tohle je slozitejsi otazka. Ale pri vyvoji na Compact .Net Frameworkem pouzivejte pouze procesory ARM (ARMV4). Vsechny ostatni procesory jsou jiz passe.

    V Compact .Net Frameworku 1.0 se soustredte jen na:
    1) Zarizeni s WM 2002, na ktere vzdy musite nainstalovat Compact .Net Framework 1.0 (nejlepe SP3)
    2) Zarizeni s WM 2003 a WM 2003 SE maji v sobe Compact .Net Framework jiz obsazen, ale je lepsi vzdy nainstalovat posledni Service Pack (momentalne SP3)

    Odpovídat lze po přihlášení



  3. #3
    Starousedlík SMob
    Registrace
    Jun 2004
    Příspěvků
    9,300

    Reknu to jinak: SHx a MIPS uz nejsou podporovany ve WM2K3 a vyssim.

    Netreba asi dodavat nic dalsiho...
    Krom par detailu k nesmyslnemu nazvu tematu a pak dotazu uvnitr...
    Odpovídat lze po přihlášení

  4. #4
    Starousedlík SMob
    Registrace
    Jan 2004
    Příspěvků
    2,017

    Zmenen nazev diskuze, dotazy ponechany beze zmeny.
    Odpovídat lze po přihlášení

  5. #5
    Starousedlík SMob
    Registrace
    Jun 2004
    Příspěvků
    9,300

    Asi tak:
    Aplikace napsana pomoci VS.NET2K3/VS.NET2K5 v C# nebo VB.NET pro .NET CF 1.x pobezi na MIPS, SHx a ARM a PPC2K2 a vyssim, tedy WM2K3(SE), WM5.0, protoze jsou na to instalacni CABy.

    Aplikace napsana pomoci VS.NET2K5 v C# nebo VB.NET pro .NET CF 2.0 pobezi na ARM a WM2K3 a vyssim, tedy WM2K3SE a WM5.0, protoze pouze pro tento CPU a tyto OS jsou instalacni CABy.

    Nejlepe to vysvetluje tento clanek.
    Odpovídat lze po přihlášení

  6. #6
    Nováček
    Registrace
    May 2004
    Příspěvků
    18

    Citace Původně odesláno od beecher
    Reknu to jinak: SHx a MIPS uz nejsou podporany ve WM2K3 a vyssim.

    Netreba asi dodavat nic dalsiho...
    Krom par detailu k nesmyslnemu nazvu tematu a pak dotazu uvnitr...
    Co je zmysluplne a nezmysluplne, subjektivita a relativita nazoru, existencia absolutnej pravdy a pod. je predmetom filozofie.

    Niekedy sa do subjektu uvadzaju klucove slova bez zbytocnych znakov, pre pomoc (pripadnym) vyhladavacom - ja to tak robim.

    Inak, za vecnu cast prispevku samozrejme dakujem.
    Odpovídat lze po přihlášení

  7. #7
    Nováček
    Registrace
    May 2004
    Příspěvků
    18

    Citace Původně odesláno od RStein
    Ale pri vyvoji na Compact .Net Frameworkem pouzivejte pouze procesory ARM (ARMV4).
    Mozem Vasu odpoved chapat tak,
    ze v sucasnosti (pre WM 2002 a WM 2003) postacuje vytvorenie instalacie iba pre ARMV4 procesor?

    Inak, vdaka za hutne a promptne odpovede.
    Odpovídat lze po přihlášení



  8. #8
    Starousedlík SMob
    Registrace
    Jan 2004
    Příspěvků
    2,017

    Presneji receno:
    ARM V4 je zpetne kompatibilni s instrukcni sadou ARM. Takze jakykoli program pro ARM procesor (AFAIK) vam pobezi i na ARM V4.

    ARM V4 obsahuje rozsirenou instrukcni sadu, ktera na ARM procesorech neni, takze nektere aplikace na ARM procesorech nepustite.

    Je dobrym zvykem nabizet ARM i ARM V4 verze.
    Odpovídat lze po přihlášení

  9. #9
    Starousedlík SMob
    Registrace
    Jan 2004
    Příspěvků
    2,017

    I kdyz jestli se nemylim, tak vsechna zarizeni vyrobena pro roce 2000 maji procesor ARM V4 kompatibilní, takze i kdyz dodate jen ARM V4 verze, nemel byste mit s .NET CF aplikacemi problemy...
    Odpovídat lze po přihlášení

  10. #10
    Starousedlík SMob
    Registrace
    Jun 2004
    Příspěvků
    9,300

    Ale vzdyt aplikace napsana pro .NET CF se nepreklada podle platformy! Vam staci jeden instalacni balicek. Je na uzivateli (vetsinou), aby mel nainstalovany .NET CF na svem PPC. Jiste, jde udelat instalaci i s vlozenym CF, ktery se nainstaluje v pripade ze na cilovem PPC neni CF, ale to je pak ten instalacni balik strasne velky. Staci dat do Requirements pozadavek na nainstalovany CF...

    Pokud delate app v eVC a C/C++, ktera se preklada do nativniho kodu, pak je dobre prelozit aplikaci pro vsechny CPU, ale jak rikam, neARM PDAcek je cim dal mene, navic vsechny nove PPC maji ARM procesor.
    Odpovídat lze po přihlášení

  11. #11
    Starousedlík SMob
    Registrace
    Jan 2004
    Příspěvků
    2,017

    To mas sice pravdu Beechere, ale prodivej se na generovane caby - i v compact .Net Frameworku jsou rozliseny podle cilovych procesoru.
    To ze se IL v assembly nelisi je pravda, ale compact NF a/nebo SQL CE vetsinou pribalujes ke svy aplikaci a tam uz na procesoru zalezi.
    ¨
    Takze distribuovat urcite ARM V4.
    Odpovídat lze po přihlášení

  12. #12
    Starousedlík SMob
    Registrace
    Jun 2004
    Příspěvků
    9,300

    Hm, kdybych mel s kazdym instalacnim balickem stahovat stale znova a znova CF, tak z toho brzo chytnu osipky...
    Realita je ale jina. Vetsina instalaci se dela tak, ze se distribuuje jenom vlastni app.
    Odpovídat lze po přihlášení



  13. #13
    Starousedlík SMob
    Registrace
    Jan 2004
    Příspěvků
    2,017

    To zalezi na dodavateli a typu aplikace. U business aplikaci se vytvari balicek (setup.exe), ve kterem jsou vsechny prerequisities - pri instalaci dojde ke kontrole pritomnosti pozadovane verze CF a kdyz neni nalezena, tak ji pres APP manazera setup nainstaluje.

    Tohle je ale uz OT - plati, ze caby jsou vytvareny pro ruzne platformy a ze vyvojar ma zvolit ARM V4 verzi.
    Odpovídat lze po přihlášení

Podobná témata

  1. WM6 problemy s prirazenim ruznych vyzvaneni u ruznych lidi
    Od Sako verife v sekci Programy pro Pocket PC
    Reakcí: 7
    Poslední příspěvek: 09-01-2008, 14:14
  2. Kalendar ruznych akci
    Od cubas_ce4you v sekci Programy pro Pocket PC
    Reakcí: 7
    Poslední příspěvek: 09-09-2005, 12:16
  3. Pár různých otázek k DATAPHONE2
    Od Jiří Pospíšil_ce4you v sekci Zbývající PPC
    Reakcí: 7
    Poslední příspěvek: 20-01-2004, 17:02